FROM opensuse/leap:15.3 as ruby-image

RUN zypper -q -n --gpg-auto-import-keys update \
    && zypper -q -n in -t pattern devel_perl devel_basis \
    && zypper -q -n install \
         autoconf \
         clang-devel \
         gcc \
         gcc-c++ \
         git \
         make \
         curl \
         zlib-devel \
         libopenssl-devel \
         glibc-i18ndata \
         glibc-locale \
         hostname \
    && zypper clean -a

ENV LANG en_US.UTF-8
ENV LC_ALL en_US.UTF-8
ENV LANGUAGE en_US:en
RUN localedef -i en_US -f UTF-8 en_US.UTF-8

<%= Snippets.new(include: %w[versions ruby]).populate %>

FROM ruby-image as builder

RUN zypper -q -n --gpg-auto-import-keys update \
    && zypper -q -n remove git \
    && zypper -q -n install \
         autoconf \
         automake \
         byacc \
         bzip2 \
         ccache \
         distcc \
         gcc8 \
         gcc8-c++ \
         gdbm-devel \
         gettext-devel \
         gettext-tools \
         krb5-devel \
         libcurl-devel \
         libexpat-devel \
         libffi-devel \
         libyaml-devel \
         ncurses-devel \
         openssh \
         readline-devel \
         rpmbuild \
         tar \
         timezone \
         unzip \
         which \
         python3

RUN update-ca-certificates -f

<%= Snippets.new(exclude: %w[ruby]).populate %>

FROM opensuse/leap:15.3
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
